Tryton - Issues

 

Issue8338

Title Hide alert after save a record and can't read the message
Priority bug Status resolved
Superseder Nosy List ced, pokoli, resteve, reviewbot, roundup-bot
Type behavior Components sao
Assigned To ced Keywords review
Reviews 265421002
View: 265421002

Created on 2019-05-07.16:23:06 by resteve, last changed by roundup-bot.

Messages
New changeset 0e1999a606d5 by Cédric Krier in branch '5.2':
Ensure to execute display before showing the info message
https://hg.tryton.org/sao/rev/0e1999a606d5

New changeset 8ba9c7020a8b by Cédric Krier in branch '5.0':
Ensure to execute display before showing the info message
https://hg.tryton.org/sao/rev/8ba9c7020a8b

New changeset ca61c16faaaa by Cédric Krier in branch '4.8':
Ensure to execute display before showing the info message
https://hg.tryton.org/sao/rev/ca61c16faaaa
New changeset 4fcdddd4e9d1 by Cédric Krier in branch 'default':
Ensure to execute display before showing the info message
https://hg.tryton.org/tryton-env/rev/4fcdddd4e9d1
New changeset c9c4f1426d34 by Cédric Krier in branch 'default':
Ensure to execute display before showing the info message
https://hg.tryton.org/sao/rev/c9c4f1426d34
review265421002 updated at https://codereview.tryton.org/265421002/#ps275391002
msg49683 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-05-10.12:04:36
No working any more on this issue.
review265421002 updated at https://codereview.tryton.org/265421002/#ps261451002
msg49675 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-05-10.00:43:43
It should be fixed with review265421002
msg49674 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-05-10.00:21:59
This was introduced by issue8168 as the display happens after the call to info_bar.message.
msg49664 (view) Author: [hidden] (resteve) Date: 2019-05-07.16:23:06
Current SAO, after save a record, the "alert" info or error (info about required fields or successfully saved) is hide in few seconds => user can't read the information and don't know errors or information message.

You could reproduce in http://demo5.2.tryton.org/ after save a record.
History
Date User Action Args
2019-05-17 12:53:42roundup-botsetmessages: + msg49742
2019-05-13 22:39:43roundup-botsetmessages: + msg49717
2019-05-13 22:39:37roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg49715
2019-05-10 14:12:05reviewbotsetmessages: + msg49696
2019-05-10 13:47:16cedsetstatus: chatting -> testing
assignedto: ced
2019-05-10 12:04:36cedsetstatus: testing -> chatting
assignedto: ced -> (no value)
messages: + msg49683
2019-05-10 01:13:02reviewbotsetnosy: + reviewbot
messages: + msg49676
2019-05-10 00:43:43cedsetstatus: chatting -> testing
reviews: 265421002
messages: + msg49675
keyword: + review
assignedto: ced
2019-05-10 00:22:00cedsetstatus: unread -> chatting
nosy: + ced
messages: + msg49674
2019-05-07 18:40:05pokolisetstatus: chatting -> unread
nosy: + pokoli
type: behavior

Showing 10 items. Show all history (warning: this could be VERY long)